package es.uv.garcosda.repositories;

import org.springframework.data.repository.reactive.ReactiveCrudRepository;

import es.uv.garcosda.domain.MyUser;
import reactor.core.publisher.Mono;

public interface UserRepository extends ReactiveCrudRepository<MyUser, Integer> {

	Mono<MyUser> findByUsername(String username);
	Mono<MyUser> findByUsernameAndPassword(String username, String password);
}
